# This file is generated by gyp; do not edit.

include $(CLEAR_VARS)

LOCAL_MODULE_CLASS := STATIC_LIBRARIES
LOCAL_MODULE := third_party_angle_src_translator_lib_gyp
LOCAL_MODULE_SUFFIX := .a
LOCAL_MODULE_TARGET_ARCH := $(TARGET_$(GYP_VAR_PREFIX)ARCH)
LOCAL_SDK_VERSION := 21
gyp_intermediate_dir := $(call local-intermediates-dir,,$(GYP_VAR_PREFIX))
gyp_shared_intermediate_dir := $(call intermediates-dir-for,GYP,shared,,,$(GYP_VAR_PREFIX))

# Make sure our deps are built first.
GYP_TARGET_DEPENDENCIES :=

GYP_GENERATED_OUTPUTS :=

# Make sure our deps and generated files are built first.
LOCAL_ADDITIONAL_DEPENDENCIES := $(GYP_TARGET_DEPENDENCIES) $(GYP_GENERATED_OUTPUTS)

LOCAL_GENERATED_SOURCES :=

GYP_COPIED_SOURCE_ORIGIN_DIRS :=

LOCAL_SRC_FILES := \
	third_party/angle/src/common/RefCountObject.cpp \
	third_party/angle/src/common/angleutils.cpp \
	third_party/angle/src/common/blocklayout.cpp \
	third_party/angle/src/common/debug.cpp \
	third_party/angle/src/common/event_tracer.cpp \
	third_party/angle/src/common/mathutil.cpp \
	third_party/angle/src/common/tls.cpp \
	third_party/angle/src/common/utilities.cpp \
	third_party/angle/src/compiler/translator/BuiltInFunctionEmulator.cpp \
	third_party/angle/src/compiler/translator/CodeGen.cpp \
	third_party/angle/src/compiler/translator/Compiler.cpp \
	third_party/angle/src/compiler/translator/DetectCallDepth.cpp \
	third_party/angle/src/compiler/translator/DetectDiscontinuity.cpp \
	third_party/angle/src/compiler/translator/Diagnostics.cpp \
	third_party/angle/src/compiler/translator/DirectiveHandler.cpp \
	third_party/angle/src/compiler/translator/FlagStd140Structs.cpp \
	third_party/angle/src/compiler/translator/ForLoopUnroll.cpp \
	third_party/angle/src/compiler/translator/InfoSink.cpp \
	third_party/angle/src/compiler/translator/Initialize.cpp \
	third_party/angle/src/compiler/translator/InitializeDll.cpp \
	third_party/angle/src/compiler/translator/InitializeParseContext.cpp \
	third_party/angle/src/compiler/translator/InitializeVariables.cpp \
	third_party/angle/src/compiler/translator/IntermTraverse.cpp \
	third_party/angle/src/compiler/translator/Intermediate.cpp \
	third_party/angle/src/compiler/translator/IntermNode.cpp \
	third_party/angle/src/compiler/translator/LoopInfo.cpp \
	third_party/angle/src/compiler/translator/OutputESSL.cpp \
	third_party/angle/src/compiler/translator/OutputGLSL.cpp \
	third_party/angle/src/compiler/translator/OutputGLSLBase.cpp \
	third_party/angle/src/compiler/translator/OutputHLSL.cpp \
	third_party/angle/src/compiler/translator/ParseContext.cpp \
	third_party/angle/src/compiler/translator/PoolAlloc.cpp \
	third_party/angle/src/compiler/translator/QualifierAlive.cpp \
	third_party/angle/src/compiler/translator/RegenerateStructNames.cpp \
	third_party/angle/src/compiler/translator/RemoveTree.cpp \
	third_party/angle/src/compiler/translator/RewriteElseBlocks.cpp \
	third_party/angle/src/compiler/translator/ScalarizeVecAndMatConstructorArgs.cpp \
	third_party/angle/src/compiler/translator/SearchSymbol.cpp \
	third_party/angle/src/compiler/translator/StructureHLSL.cpp \
	third_party/angle/src/compiler/translator/SymbolTable.cpp \
	third_party/angle/src/compiler/translator/TranslatorESSL.cpp \
	third_party/angle/src/compiler/translator/TranslatorGLSL.cpp \
	third_party/angle/src/compiler/translator/TranslatorHLSL.cpp \
	third_party/angle/src/compiler/translator/Types.cpp \
	third_party/angle/src/compiler/translator/UnfoldShortCircuit.cpp \
	third_party/angle/src/compiler/translator/UnfoldShortCircuitAST.cpp \
	third_party/angle/src/compiler/translator/UniformHLSL.cpp \
	third_party/angle/src/compiler/translator/UtilsHLSL.cpp \
	third_party/angle/src/compiler/translator/ValidateLimitations.cpp \
	third_party/angle/src/compiler/translator/ValidateOutputs.cpp \
	third_party/angle/src/compiler/translator/VariableInfo.cpp \
	third_party/angle/src/compiler/translator/VariablePacker.cpp \
	third_party/angle/src/compiler/translator/VersionGLSL.cpp \
	third_party/angle/src/compiler/translator/compilerdebug.cpp \
	third_party/angle/src/compiler/translator/depgraph/DependencyGraph.cpp \
	third_party/angle/src/compiler/translator/depgraph/DependencyGraphBuilder.cpp \
	third_party/angle/src/compiler/translator/depgraph/DependencyGraphOutput.cpp \
	third_party/angle/src/compiler/translator/depgraph/DependencyGraphTraverse.cpp \
	third_party/angle/src/compiler/translator/glslang_lex.cpp \
	third_party/angle/src/compiler/translator/glslang_tab.cpp \
	third_party/angle/src/compiler/translator/intermOut.cpp \
	third_party/angle/src/compiler/translator/parseConst.cpp \
	third_party/angle/src/compiler/translator/timing/RestrictFragmentShaderTiming.cpp \
	third_party/angle/src/compiler/translator/timing/RestrictVertexShaderTiming.cpp \
	third_party/angle/src/compiler/translator/util.cpp \
	third_party/angle/src/third_party/compiler/ArrayBoundsClamper.cpp


# Flags passed to both C and C++ files.
MY_CFLAGS_Debug := \
	-fstack-protector \
	--param=ssp-buffer-size=4 \
	 \
	-fno-strict-aliasing \
	-Wno-unused-parameter \
	-Wno-missing-field-initializers \
	-fvisibility=hidden \
	-pipe \
	-fPIC \
	-Wno-unused-local-typedefs \
	-Wno-format \
	-ffunction-sections \
	-funwind-tables \
	-g \
	-fstack-protector \
	-fno-short-enums \
	-finline-limit=64 \
	-Wa,--noexecstack \
	-U_FORTIFY_SOURCE \
	-Wno-extra \
	-Wno-ignored-qualifiers \
	-Wno-type-limits \
	-Wno-unused-but-set-variable \
	-Wno-address \
	-Wno-format-security \
	-Wno-return-type \
	-Wno-sequence-point \
	-Os \
	-g \
	-gdwarf-4 \
	-fdata-sections \
	-ffunction-sections \
	-fomit-frame-pointer \
	-funwind-tables

MY_DEFS_Debug := \
	'-DV8_DEPRECATION_WARNINGS' \
	'-D_FILE_OFFSET_BITS=64' \
	'-DNO_TCMALLOC' \
	'-DDISABLE_NACL' \
	'-DCHROMIUM_BUILD' \
	'-DUSE_LIBJPEG_TURBO=1' \
	'-DENABLE_WEBRTC=1' \
	'-DUSE_PROPRIETARY_CODECS' \
	'-DENABLE_BROWSER_CDMS' \
	'-DENABLE_CONFIGURATION_POLICY' \
	'-DENABLE_NOTIFICATIONS' \
	'-DDISCARDABLE_MEMORY_ALWAYS_SUPPORTED_NATIVELY' \
	'-DSYSTEM_NATIVELY_SIGNALS_MEMORY_PRESSURE' \
	'-DDONT_EMBED_BUILD_METADATA' \
	'-DCLD_VERSION=1' \
	'-DENABLE_PRINTING=1' \
	'-DENABLE_BASIC_PRINTING=1' \
	'-DENABLE_MANAGED_USERS=1' \
	'-DVIDEO_HOLE=1' \
	'-DENABLE_LOAD_COMPLETION_HACKS=1' \
	'-DANGLE_TRANSLATOR_STATIC' \
	'-DUSE_LIBPCI=1' \
	'-DUSE_OPENSSL=1' \
	'-DUSE_OPENSSL_CERTS=1' \
	'-DANDROID' \
	'-D__GNU_SOURCE=1' \
	'-DUSE_STLPORT=1' \
	'-D_STLP_USE_PTR_SPECIALIZATIONS=1' \
	'-DCHROME_BUILD_ID=""' \
	'-DDYNAMIC_ANNOTATIONS_ENABLED=1' \
	'-DWTF_USE_DYNAMIC_ANNOTATIONS=1' \
	'-D_DEBUG'


# Include paths placed before CFLAGS/CPPFLAGS
LOCAL_C_INCLUDES_Debug := \
	$(gyp_shared_intermediate_dir) \
	$(LOCAL_PATH)/third_party/angle/src \
	$(LOCAL_PATH)/third_party/angle/include


# Flags passed to only C++ (and not C) files.
LOCAL_CPPFLAGS_Debug := \
	-fno-exceptions \
	-fno-rtti \
	-fno-threadsafe-statics \
	-fvisibility-inlines-hidden \
	-Wno-deprecated \
	-Wno-uninitialized \
	-std=gnu++11 \
	-Wno-narrowing \
	-Wno-literal-suffix \
	-Wno-non-virtual-dtor \
	-Wno-sign-promo \
	-Wno-non-virtual-dtor


# Flags passed to both C and C++ files.
MY_CFLAGS_Release := \
	-fstack-protector \
	--param=ssp-buffer-size=4 \
	 \
	-fno-strict-aliasing \
	-Wno-unused-parameter \
	-Wno-missing-field-initializers \
	-fvisibility=hidden \
	-pipe \
	-fPIC \
	-Wno-unused-local-typedefs \
	-Wno-format \
	-ffunction-sections \
	-funwind-tables \
	-g \
	-fstack-protector \
	-fno-short-enums \
	-finline-limit=64 \
	-Wa,--noexecstack \
	-U_FORTIFY_SOURCE \
	-Wno-extra \
	-Wno-ignored-qualifiers \
	-Wno-type-limits \
	-Wno-unused-but-set-variable \
	-Wno-address \
	-Wno-format-security \
	-Wno-return-type \
	-Wno-sequence-point \
	-Os \
	-fno-ident \
	-fdata-sections \
	-ffunction-sections \
	-fomit-frame-pointer \
	-funwind-tables

MY_DEFS_Release := \
	'-DV8_DEPRECATION_WARNINGS' \
	'-D_FILE_OFFSET_BITS=64' \
	'-DNO_TCMALLOC' \
	'-DDISABLE_NACL' \
	'-DCHROMIUM_BUILD' \
	'-DUSE_LIBJPEG_TURBO=1' \
	'-DENABLE_WEBRTC=1' \
	'-DUSE_PROPRIETARY_CODECS' \
	'-DENABLE_BROWSER_CDMS' \
	'-DENABLE_CONFIGURATION_POLICY' \
	'-DENABLE_NOTIFICATIONS' \
	'-DDISCARDABLE_MEMORY_ALWAYS_SUPPORTED_NATIVELY' \
	'-DSYSTEM_NATIVELY_SIGNALS_MEMORY_PRESSURE' \
	'-DDONT_EMBED_BUILD_METADATA' \
	'-DCLD_VERSION=1' \
	'-DENABLE_PRINTING=1' \
	'-DENABLE_BASIC_PRINTING=1' \
	'-DENABLE_MANAGED_USERS=1' \
	'-DVIDEO_HOLE=1' \
	'-DENABLE_LOAD_COMPLETION_HACKS=1' \
	'-DANGLE_TRANSLATOR_STATIC' \
	'-DUSE_LIBPCI=1' \
	'-DUSE_OPENSSL=1' \
	'-DUSE_OPENSSL_CERTS=1' \
	'-DANDROID' \
	'-D__GNU_SOURCE=1' \
	'-DUSE_STLPORT=1' \
	'-D_STLP_USE_PTR_SPECIALIZATIONS=1' \
	'-DCHROME_BUILD_ID=""' \
	'-DNDEBUG' \
	'-DNVALGRIND' \
	'-DDYNAMIC_ANNOTATIONS_ENABLED=0'


# Include paths placed before CFLAGS/CPPFLAGS
LOCAL_C_INCLUDES_Release := \
	$(gyp_shared_intermediate_dir) \
	$(LOCAL_PATH)/third_party/angle/src \
	$(LOCAL_PATH)/third_party/angle/include


# Flags passed to only C++ (and not C) files.
LOCAL_CPPFLAGS_Release := \
	-fno-exceptions \
	-fno-rtti \
	-fno-threadsafe-statics \
	-fvisibility-inlines-hidden \
	-Wno-deprecated \
	-Wno-uninitialized \
	-std=gnu++11 \
	-Wno-narrowing \
	-Wno-literal-suffix \
	-Wno-non-virtual-dtor \
	-Wno-sign-promo \
	-Wno-non-virtual-dtor


LOCAL_CFLAGS := $(MY_CFLAGS_$(GYP_CONFIGURATION)) $(MY_DEFS_$(GYP_CONFIGURATION))
LOCAL_C_INCLUDES := $(GYP_COPIED_SOURCE_ORIGIN_DIRS) $(LOCAL_C_INCLUDES_$(GYP_CONFIGURATION))
LOCAL_CPPFLAGS := $(LOCAL_CPPFLAGS_$(GYP_CONFIGURATION))
LOCAL_ASFLAGS := $(LOCAL_CFLAGS)
### Rules for final target.
### Set directly by aosp_build_settings.
LOCAL_CLANG := false
LOCAL_NDK_STL_VARIANT := stlport_static

# Add target alias to "gyp_all_modules" target.
.PHONY: gyp_all_modules
gyp_all_modules: third_party_angle_src_translator_lib_gyp

# Alias gyp target name.
.PHONY: translator_lib
translator_lib: third_party_angle_src_translator_lib_gyp

include $(BUILD_STATIC_LIBRARY)
